#
# spec file for package cura-engine-lulzbot
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           cura-engine-lulzbot
Version:        3.6.1
Release:        0
Summary:        3D printer control software
License:        AGPL-3.0-only
Group:          Hardware/Printing
Conflicts:      cura-engine
Url:            https://code.alephobjects.com/diffusion/CTE/cura-engine.git
Source0:        CuraEngine-%{version}.tar.xz
Source1:        CuraEngine.1
%if 0%{?suse_version} < 1500
BuildRequires:  gcc6-c++
#!BuildIgnore:  libgcc_s1
%else
BuildRequires:  gcc-c++
%endif
BuildRequires:  cmake
BuildRequires:  libArcus-devel

%description
CuraEngine is an engine for processing 3D models
into 3D printing instruction for Ultimaker and other GCode based 3D printers.
It is part of the larger open source project called "Cura".

This is the LulzBot variation of the engine.

%prep
%setup -q -n CuraEngine-%version

%build
%if 0%{?suse_version} < 1500
export CC=gcc-6
export CXX=g++-6
%endif
%cmake -DCMAKE_C_FLAGS="%{optflags} -fPIC" \
       -DCMAKE_CXX_FLAGS="%{optflags} -fPIC -fpermissive"
make %{?_smp_mflags}

%install
cd build
%make_install

install -Dm0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/CuraEngine-lulzbot.1
mv %buildroot%_bindir/CuraEngine{,-lulzbot}
# hack... not ready for the distro
install -Dm0755 lib_CuraEngine.so %{buildroot}%{_libdir}/lib_CuraEngine.so

%files
%defattr(-,root,root,-)
%_bindir/CuraEngine-lulzbot
%_libdir/*
%_mandir/man1/CuraEngine-lulzbot.1*

%changelog
